Skip to main content
GET
/
v1
/
companies
/
{company_mapping_id}
Get company information
curl --request GET \
  --url https://prod.truv.com/v1/companies/{company_mapping_id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "company_mapping_id": "48427a36d43c4d5aa6324bc06c692456",
  "name": "Facebook Demo",
  "domain": "facebook.com",
  "logo_url": "https://cdn.truv.com/facebook.png",
  "success_rate": "high",
  "confidence_level": "0.9",
  "mapping_status": "verified",
  "features": {
    "deposit_switch": {
      "max_number": 3,
      "deposit_types": [
        "entire",
        "percent",
        "amount"
      ],
      "amount_precision": "0.01",
      "percent_precision": "0.01"
    },
    "fill_rates": {
      "job_title": 0.85,
      "job_type": 0.92,
      "is_active": 0.8,
      "start_date": 0.78,
      "original_hire_date": 0.77,
      "income": 0.95,
      "income_unit": 0.88,
      "pay_frequency": 0.91,
      "w2s": 0.73,
      "paystubs": 0.99
    }
  }
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

company_mapping_id
string
required

Company to Payroll Provider mapping ID

Query Parameters

product_type
enum<string>

Product type for success rate calculation

Available options:
income,
employment,
deposit_switch,
pll

Response

Detailed information for a specific company mapping

company_mapping_id
string | null

Company mapping ID

Example:

"48427a36d43c4d5aa6324bc06c692456"

name
string

Company name

Example:

"Facebook Demo"

domain
string

Company domain

Example:

"facebook.com"

logo_url
string | null

URL to company logo

Example:

"https://cdn.truv.com/facebook.png"

success_rate
enum<string> | null

Success rate for the company

Available options:
low,
high,
unsupported,
null
Example:

"high"

confidence_level
string

Confidence level for the company success rate. Range of possible values is from 0 to 1 with 0.5 and above being high success rate

Example:

"0.9"

mapping_status
enum<string>

Mapping status of the company to the payroll system

Available options:
verified,
mapped,
unmapped
Example:

"verified"

features
object

Company features information